Update unit
https://api.propexo.com/v1/units/:idUpdate a unit for a property.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The category of the unit.
Show 2 enum values
ResidentialCommercialThe type of the unit.
Show 2 enum values
ApartmentHouseThe name of the unit. Example: "Unit 3".
The abbreviation of the unit. Example: "UNIT3"
The first address line associated with the unit
The second address line of the unit.
The city associated with the unit
The state associated with the unit
The zip code associated with the unit
The country of the unit.
Notes associated with the unit
The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.
The number of bedrooms associated with the unit
The market rent amount in cents for the unit
The square footage of the unit
The unit number
Whether the unit is vacant
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/units/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"category": "Residential",
"type": "Apartment",
"name": "string",
"abbreviation": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"notes": "string",
"bathrooms": 0,
"bedrooms": 0,
"rent_amount_market_in_cents": 0,
"square_feet": 0,
"number": "string",
"is_vacant": true
}'
{
"job_id": "string",
"data": {}
}